INSTALL
-------

You will need glib/gtk (package names like glib and glibdev or glib-devel, gtk and gtkdev or gtk-devel) to compile xMule.  
http://www.gtk.org/downloads/

Also wxWidgets-2.4.0 or greater, linked against glib/gtk-1.2.10 or greater is needed (package names wxGTK and wxGTK-devel).But not wxWidgets 2.5.1 (!)
http://www.wxwidgets.org
http://prdownloads.sourceforge.net/wxwindows/wxGTK-2.4.2.tar.gz

HOW TO COMPILE WXWIDGETS
------------------------
For GTK (1.2.10):
./configure  --prefix=/usr --disable-debug --enable-final --with-gtk --disable-profile

HOW TO COMPILE XMULE
--------------------
I have used GCC 3.2, 3.3 and 3.4 to compile xMule; older GCC's probably can't handle Microsoft C++ well enough.

After wxwidgets has compiled and you have installed it, you can compile xMule. do "./configure && make" as usual.  If for some reason, wx-config cannot be found, use ./configure --with-wx-config=/path/wx-config.  Sometimes it will be named wxgtk-2.4-config (or wxgtk2-2.4-config).

To install it, as root type "make install". (You don't have to install if you don't like to. It will run fine from the source directory too)

Note: If you are using CVS version, you will have to run ./autogen.sh to generate configure script.  Autoconf >= 2.57 and Gettext are required and the only versions we will support.

And if you want to remote-administer it, you should definitely try VNC (or TightVNC). You probably won't get disappointed :)
http://www.realvnc.org/     
http://www.tightvnc.org/

If you change the chart colors and want to select a custom color.. be sure to press "Add to custom color"-button and select the color from there. Otherwise color will not change :). 

ADVANCED OPTIONS
----------------
There are new configure options:
	--enable-optimise
	--enable-profile
	--disable-debug-syms
	--enable-debug
	--enable-precomp

With --enable-optimise, -O flag will be added to the compilation options. If not given, no optimization will occur. It is currently preferable not to optimise, because if xMule crashes, the optimised code will not produce usable stack trace.  -O2 is reported to work fine, -O3 will totally crash on start up, don't waste your time as of now.

With --enable-profile, -pg flag will be added to the compilation options. xMule will then record profiling data in gmon.out, from which one can see where xMule spends its time. You probably do not want to turn this on, unless you want to help the devs figure out where your CPU time is going :P

With --disable-debug-syms, no debugging symbols are added to the program files generated. Be aware the programs built with this options do not produce usable backtraces. This option has no effect when --enable-debug is specified too.

With --enable-debug, not only will you be able to get usable backtraces which allow you to seek support for bugs and crashes (and possibly fix them yourself), but also additional output (usually on the consol) will be outputted.  The only downside for this is that the program will run a *little* slower, but you will find it *much* easier to pinpoint bugs/errors and thus it will help you use xMule all the more.  Highly recommended for untested releases.

With --enable-precomp, you can now use Precompiled Headers with G++ 3.4 or greater!  Compile times on my box are now under 5 minutes with this enabled. Precompiled headers require an additional 50MB of disk space but can be deleted immediately after building (for all you people who have no space cuz of all the vidz, heh).  Precompiled headers have been successfully tested with G++ 3.4-20040114; no earlier version is supported, and it is possible that on any particular day, that version of gcc will not compile successfully.  Use at your own risk.  It's well worth it :-)


------------

After compiling you have to copy xmule-binary from xmule/src/xmule to whereever you want and to copy
xmule/src/resource-directory to $HOME/.xMule/resource, if you don't start ./xmule from your xmule/src-directory.
Otherwise, you will miss some popup-menues inside the FlowChart-Window, which are needed to enable functions
like "source-exchange" and "securehash/ident/creditfiles".

